Assets 4

WARNING: Meltdown and Spectre fixes have been OMITTED from this patchset. Reptoline is also OMITTED. This patchset works with all other fixes included at this patchlevel.

If you are not comfortable with being vulnerable to meltdown and spectre, then use an upstream kernel.
If you are still using the 4.9.74 patchset or later, and still wish to get the latest fixes, then use this patchset.

Meltdown and Spectre fixes are proving to be extremely difficult to get this patchset booting. There might be a small chance that they will be included in the future, and I will let you know. Until then, assume that it will be months / years / never.

@matthewruffell matthewruffell released this Oct 26, 2018 · 1 commit to master since this release

Assets 4

WARNING: Meltdown and Spectre fixes have been OMITTED from this patchset. Reptoline is also OMITTED. This patchset works with all other fixes included at this patchlevel.

If you are not comfortable with being vulnerable to meltdown and spectre, then use an upstream kernel.
If you are still using the 4.9.74 patchset or later, and still wish to get the latest fixes, then use this patchset.

Meltdown and Spectre fixes are proving to be extremely difficult to get this patchset booting. There might be a small chance that they will be included in the future, and I will let you know. Until then, assume that it will be months / years / never.

@matthewruffell matthewruffell released this Oct 26, 2018 · 2 commits to master since this release

Assets 4

WARNING: Meltdown and Spectre fixes have been OMITTED from this patchset. Reptoline is also OMITTED. This patchset works with all other fixes included at this patchlevel.

If you are not comfortable with being vulnerable to meltdown and spectre, then use an upstream kernel.
If you are still using the 4.9.74 patchset or later, and still wish to get the latest fixes, then use this patchset.

Meltdown and Spectre fixes are proving to be extremely difficult to get this patchset booting. There might be a small chance that they will be included in the future, and I will let you know. Until then, assume that it will be months / years / never.

@matthewruffell matthewruffell released this Oct 12, 2018 · 3 commits to master since this release

Assets 4

WARNING: Meltdown and Spectre fixes have been OMITTED from this patchset. Reptoline is also OMITTED. This patchset works with all other fixes included at this patchlevel.

If you are not comfortable with being vulnerable to meltdown and spectre, then use an upstream kernel.
If you are still using the 4.9.74 patchset or later, and still wish to get the latest fixes, then use this patchset.

Meltdown and Spectre fixes are proving to be extremely difficult to get this patchset booting. There might be a small chance that they will be included in the future, and I will let you know. Until then, assume that it will be months / years / never.

@matthewruffell matthewruffell released this Oct 7, 2018 · 4 commits to master since this release

Assets 4

WARNING: Meltdown and Spectre fixes have been OMITTED from this patchset. Reptoline is also OMITTED. This patchset works with all other fixes included at this patchlevel.

If you are not comfortable with being vulnerable to meltdown and spectre, then use an upstream kernel.
If you are still using the 4.9.74 patchset or later, and still wish to get the latest fixes, then use this patchset.

Meltdown and Spectre fixes are proving to be extremely difficult to get this patchset booting. There might be a small chance that they will be included in the future, and I will let you know. Until then, assume that it will be months / years / never.

@matthewruffell matthewruffell released this Oct 3, 2018 · 7 commits to master since this release

Assets 4

This release is functionally the same as dappersec 4.9.130. If you have used dappersec 4.9.130, there is no need to update.

This release reverts the change where the patchset was split up into two smaller patchsets. The patchset is now one large combined patchset, and will now pass patch dry runs, and should also be easier to use with gentoo ebuild.

From dappersec 4.9.75 to 4.9.130, the patchset had two smaller parts. The first was a set of reverse patches to undo the Meltdown and Spectre fixes, and were kept separate from dappersec patches to make it easier to audit, and easier to keep track of what patches were reversed. The second patch was the dappersec patches.

From this release onwards, the patchset will go back to being one large patchset. If you would like to audit the patchset, or to see what upstream patches are reversed, clone the repo and look at the omitted-patches folder.

I may as well also say that currently, only GCC 7 and below are supported. GCC 8 is coming, when I get some time to fix up some GCC plugin incompatibilities. Hopefully soon.

Thanks for being users!
Matthew.

WARNING: Meltdown and Spectre fixes have been OMITTED from this patchset. Reptoline is also OMITTED. This patchset works with all other fixes included at this patchlevel.

If you are not comfortable with being vulnerable to meltdown and spectre, then use an upstream kernel.
If you are still using the 4.9.74 patchset or later, and still wish to get the latest fixes, then use this patchset.

Meltdown and Spectre fixes are proving to be extremely difficult to get this patchset booting. There might be a small chance that they will be included in the future, and I will let you know. Until then, assume that it will be months / years / never.

@matthewruffell matthewruffell released this Oct 2, 2018 · 8 commits to master since this release

Assets 4

WARNING: Meltdown and Spectre fixes have been OMITTED from this patchset. Reptoline is also OMITTED. This patchset works with all other fixes included at this patchlevel.

If you are not comfortable with being vulnerable to meltdown and spectre, then use an upstream kernel.
If you are still using the 4.9.74 patchset or later, and still wish to get the latest fixes, then use this patchset.

Meltdown and Spectre fixes are proving to be extremely difficult to get this patchset booting. There might be a small chance that they will be included in the future, and I will let you know. Until then, assume that it will be months / years / never.

@matthewruffell matthewruffell released this Oct 2, 2018 · 9 commits to master since this release

Assets 4

WARNING: Meltdown and Spectre fixes have been OMITTED from this patchset. Reptoline is also OMITTED. This patchset works with all other fixes included at this patchlevel.

If you are not comfortable with being vulnerable to meltdown and spectre, then use an upstream kernel.
If you are still using the 4.9.74 patchset or later, and still wish to get the latest fixes, then use this patchset.

Meltdown and Spectre fixes are proving to be extremely difficult to get this patchset booting. There might be a small chance that they will be included in the future, and I will let you know. Until then, assume that it will be months / years / never.

@matthewruffell matthewruffell released this Sep 22, 2018 · 10 commits to master since this release

Assets 4

WARNING: Meltdown and Spectre fixes have been OMITTED from this patchset. Reptoline is also OMITTED. This patchset works with all other fixes included at this patchlevel.

If you are not comfortable with being vulnerable to meltdown and spectre, then use an upstream kernel.
If you are still using the 4.9.74 patchset or later, and still wish to get the latest fixes, then use this patchset.

Meltdown and Spectre fixes are proving to be extremely difficult to get this patchset booting. There might be a small chance that they will be included in the future, and I will let you know. Until then, assume that it will be months / years / never.

Sep 16, 2018
Dapper Secure Kernel Patchset Stable 4.9.127